com.tibco.bpm.service.connector

## Class EventCollectorManagementService

- java.lang.Object
- - com.tibco.bpm.service.connector.EventCollectorManagementService

- All Implemented Interfaces:
    EventCollectorManagementService

      public class EventCollectorManagementService
      extends java.lang.Object
      implements EventCollectorManagementService

  Provides access to the Event Collector Management Service.

  ©2011 TIBCO Software Inc.
  Since:
    2.0.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.ec.api.base.AutoArchiveStatus` | `checkAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)` Check the status of the AutoArchive
    `com.tibco.n2.ec.api.base.PurgeStatus` | `checkPurgeAudit()` Deprecated.
    `com.tibco.n2.ec.api.base.PurgeStatus` | `checkPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)`
    `com.tibco.n2.ec.api.base.PurgeStatus` | `doPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)` Perform a purge of audit data in the Event Collector database.
    `com.tibco.n2.ec.api.base.ActionResult` | `executeAction(com.tibco.n2.ec.api.base.Action action, com.tibco.n2.ec.api.base.ActionOptions options)` PRIVATE API - Reserved for Internal Use
    `com.tibco.n2.ec.api.base.Configuration` | `getConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area)` PRIVATE API - Reserved for Internal Use
    `EventCollectorManagementService` | `getEventCollectorManagementService()`
    `com.tibco.n2.ec.api.base.ConfigurationUpdateDetails` | `setConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area, com.tibco.n2.ec.api.base.Configuration configuration)` PRIVATE API - Reserved for Internal Use
    `void` | `stopAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)` Stop the Auto-Purge if running
    `com.tibco.n2.ec.api.base.PurgeStatus` | `stopPurgeAudit()` Deprecated.
    `com.tibco.n2.ec.api.base.PurgeStatus` | `stopPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)`
    `void` | `triggerAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)` Trigger the Auto-Purge thread to run immediately

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEventCollectorManagementService

          public EventCollectorManagementService getEventCollectorManagementService()

    - #### doPurgeAudit

          public com.tibco.n2.ec.api.base.PurgeStatus doPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)
                                                            throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                   com.tibco.n2.ec.services.InternalServiceFault,
                                                                   com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      Perform a purge of audit data in the Event Collector database.
      Specified by:
        `doPurgeAudit` in interface `EventCollectorManagementService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### triggerAutoArchive

          public void triggerAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)
                                  throws com.tibco.n2.ec.services.InvalidRequestFault,
                                         com.tibco.n2.ec.services.InternalServiceFault,
                                         com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      Trigger the Auto-Purge thread to run immediately
      Specified by:
        `triggerAutoArchive` in interface `EventCollectorManagementService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### checkPurgeAudit

          @Deprecated
          public com.tibco.n2.ec.api.base.PurgeStatus checkPurgeAudit()
                                                                           throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                  com.tibco.n2.ec.services.InternalServiceFault,
                                                                                  com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      Description copied from interface: `EventCollectorManagementService`
      Check the status of the current purge of audit data.
      Specified by:
        `checkPurgeAudit` in interface `EventCollectorManagementService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### checkPurgeAudit

          public com.tibco.n2.ec.api.base.PurgeStatus checkPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)
                                                               throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                      com.tibco.n2.ec.services.InternalServiceFault,
                                                                      com.tibco.n2.ec.services.SecurityFault

      Specified by:
        `checkPurgeAudit` in interface `EventCollectorManagementService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### stopPurgeAudit

          @Deprecated
          public com.tibco.n2.ec.api.base.PurgeStatus stopPurgeAudit()
                                                                          throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                 com.tibco.n2.ec.services.InternalServiceFault,
                                                                                 com.tibco.n2.ec.services.SecurityFault

      Deprecated.
      Description copied from interface: `EventCollectorManagementService`
      Stop the current purge of audit data.
      Specified by:
        `stopPurgeAudit` in interface `EventCollectorManagementService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### stopPurgeAudit

          public com.tibco.n2.ec.api.base.PurgeStatus stopPurgeAudit(com.tibco.n2.ec.api.base.PurgeOptions options)
                                                              throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                     com.tibco.n2.ec.services.InternalServiceFault,
                                                                     com.tibco.n2.ec.services.SecurityFault

      Specified by:
        `stopPurgeAudit` in interface `EventCollectorManagementService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### getConfiguration

          public com.tibco.n2.ec.api.base.Configuration getConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area)
                                                                  throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                         com.tibco.n2.ec.services.InternalServiceFault,
                                                                         com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      PRIVATE API - Reserved for Internal Use
      Specified by:
        `getConfiguration` in interface `EventCollectorManagementService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### setConfiguration

          public com.tibco.n2.ec.api.base.ConfigurationUpdateDetails setConfiguration(com.tibco.n2.ec.api.base.ConfigurationArea area,
                                                                                      com.tibco.n2.ec.api.base.Configuration configuration)
                                                                               throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                      com.tibco.n2.ec.services.InternalServiceFault,
                                                                                      com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      PRIVATE API - Reserved for Internal Use
      Specified by:
        `setConfiguration` in interface `EventCollectorManagementService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### executeAction

          public com.tibco.n2.ec.api.base.ActionResult executeAction(com.tibco.n2.ec.api.base.Action action,
                                                                     com.tibco.n2.ec.api.base.ActionOptions options)
                                                              throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                     com.tibco.n2.ec.services.InternalServiceFault,
                                                                     com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      PRIVATE API - Reserved for Internal Use
      Specified by:
        `executeAction` in interface `EventCollectorManagementService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### stopAutoArchive

          public void stopAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)
                               throws com.tibco.n2.ec.services.InvalidRequestFault,
                                      com.tibco.n2.ec.services.InternalServiceFault,
                                      com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      Stop the Auto-Purge if running
      Specified by:
        `stopAutoArchive` in interface `EventCollectorManagementService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### checkAutoArchive

          public com.tibco.n2.ec.api.base.AutoArchiveStatus checkAutoArchive(com.tibco.n2.ec.api.base.AutoArchiveOptions options)
                                                                      throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                             com.tibco.n2.ec.services.InternalServiceFault,
                                                                             com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorManagementService`
      Check the status of the AutoArchive
      Specified by:
        `checkAutoArchive` in interface `EventCollectorManagementService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.